List planned services¶
Use /services/plan to see the status of your services occurring today if you are a commercial or residential customer. The status will reflect if your service has not yet occurred, completed successfully, or if a problem occurred with your service. If you have roll off services, you can use this call to see roll off tickets occurring today along with ticket type (empty and return or switch out) for the ticket.
URI¶
GET /api/v1/customers/{customerId}/services/plan
Headers¶
| Parameter | Mandatory | Data Type | Allowed Values | Description |
|---|---|---|---|---|
| Request-Tracking-Id | Y | String | Unique Identifier for each request | |
| Authorization | Y | String | Access token | |
| ClientId | Y | String | Will be provided by WM | |
| Accept | N | String | application/json or application/xml | Default is application/json |
Request Parameters¶
Pass the following parameters in the request.
| Parameter | Mandatory | Data Type | Type | Description |
|---|---|---|---|---|
| customerId | Y | Number | path | Unique Customer Identifier |
Response Fields¶
| Parameter | Data Type | Description |
|---|---|---|
| request_tracking_id | String | Unique transaction ID |
| services | Object | The service details |
| id | Number | Unique service identifier |
| status | String | Service status (Planned,Confirmed Positive,Confirmed Negative) |
| ticket_number | Number | Unique ticket identifier |
| planned_date | Date | Planned date of the service |
| ordered_date | Date | Date of service execution |
| ticket_load_type | String | Ticket type |
| line_of_business | String | Line of Business(ROLLOFF,RESIDENTIAL,COMMERCIAL) |
| operations | Object | Service operation details |
| route_id | String | Route for which service is assigned |
| route_order_number | String | Service route order number |
Tip
For information about how to test, see How To Test
Sample Request¶
http://api.wm.com/v1/customers/123456789/services/plan
Sample Response¶
{ "request_tracking_id": "123", "services": [ { "id": "000000001", "status": "Confirmed Positive", "ticket_number": "790678", "planned_date": "11/10/2015", "ordered_date": "11/10/2015", "ticket_load_type": "E/R", "line_of_business": "ROLLOFF", "operations": [ { "route_id": "RO_HHWRI", "route_order_number": "116287378" } ] } ]}